org.apache.lucene.util.bkd

## Interface PointValue

    public interface PointValue

Represents a dimensional point value written in the BKD tree.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `docID()` Returns the docID
`BytesRef` `packedValue()` Returns the packed values for the dimensions
`BytesRef` `packedValueDocIDBytes()` Returns the byte representation of the packed value together with the docID

### Method Detail

#### packedValue

    BytesRef packedValue()

Returns the packed values for the dimensions

#### docID

    int docID()

Returns the docID

#### packedValueDocIDBytes

    BytesRef packedValueDocIDBytes()

Returns the byte representation of the packed value together with the docID